﻿namespace Dto;

public abstract class ContentLessonDto
{
    public int Id { get; set; }
    public string ContentContent { get; set; }
    public string ContentTitle { get; set; }
    public int LessonId { get; set; }

    protected ContentLessonDto(int id, string contentContent, string contentTitle, int lessonId)
    {
        Id = id;
        ContentContent = contentContent;
        ContentTitle = contentTitle;
        LessonId = lessonId;
    }

    protected ContentLessonDto(string contentContent, string contentTitle, int lessonId)
    {
        ContentContent = contentContent;
        ContentTitle = contentTitle;
        LessonId = lessonId;
    }

    protected ContentLessonDto()
    {
    }
}